System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Drawing.Brush

This class encapsulates both two-color gradients and custom multicolor gradients.

All linear gradients are defined along a line specified either by the width of a rectangle or by two points.

By default, a two-color linear gradient is an even horizontal linear blend from the starting color to the ending color along the specified line. Customize the blend pattern using the class, the methods, or the methods. Customize the direction of the gradient by specifying the enumeration or the angle in the constructor.

Use the property to create a multicolor gradient.

The property specifies a local geometric transform applied to the gradient.

Encapsulates a with a linear gradient. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class with the specified points and colors.

  A structure that represents the starting point of the linear gradient.
  A structure that represents the endpoint of the linear gradient.
  A structure that represents the starting color of the linear gradient.
  A structure that represents the ending color of the linear gradient.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified points and colors.

  A structure that represents the starting point of the linear gradient.
  A structure that represents the endpoint of the linear gradient.
  A structure that represents the starting color of the linear gradient.
  A structure that represents the ending color of the linear gradient.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Creates a new instance of the class based on a rectangle, starting and ending colors, and orientation.

  A structure that specifies the bounds of the linear gradient.
  A structure that represents the starting color for the gradient.
  A structure that represents the ending color for the gradient.
  A enumeration element that specifies the orientation of the gradient. The orientation determines the starting and ending points of the gradient. For example, LinearGradientMode.ForwardDiagonal specifies that the starting point is the upper-left corner of the rectangle and the ending point is the lower-right corner of the rectangle.
  1.0.5000.0
  2.0.0.0
- Constructor

  All points along any line perpendicular to the orientation line are the same color.

  The starting line is perpendicular to the orientation line and passes through one of the corners of the rectangle. All points on the starting line are the starting color. Then ending line is perpendicular to the orientation line and passes through one of the corners of the rectangle. All points on the ending line are the ending color.

  The angle of the orientation line determines which corners the starting and ending lines pass through. For example, if the angle is between 0 and 90 degrees, the starting line passes through the upper-left corner, and the ending line passes through the lower-right corner.

  Creates a new instance of the class based on a rectangle, starting and ending colors, and an orientation angle.

  A structure that specifies the bounds of the linear gradient.
  A structure that represents the starting color for the gradient.
  A structure that represents the ending color for the gradient.
  The angle, measured in degrees clockwise from the x-axis, of the gradient's orientation line.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Creates a new instance of the based on a rectangle, starting and ending colors, and an orientation mode.

  A structure that specifies the bounds of the linear gradient.
  A structure that represents the starting color for the gradient.
  A structure that represents the ending color for the gradient.
  A enumeration element that specifies the orientation of the gradient. The orientation determines the starting and ending points of the gradient. For example, LinearGradientMode.ForwardDiagonal specifies that the starting point is the upper-left corner of the rectangle and the ending point is the lower-right corner of the rectangle.
  1.0.5000.0
  2.0.0.0
- Constructor

  All points along any line perpendicular to the orientation line are the same color.

  The starting line is perpendicular to the orientation line and passes through one of the corners of the rectangle. All points on the starting line are the starting color. Then ending line is perpendicular to the orientation line and passes through one of the corners of the rectangle. All points on the ending line are the ending color.

  The angle of the orientation line determines which corners the starting and ending lines pass through. For example, if the angle is between 0 and 90 degrees, the starting line passes through the upper-left corner, and the ending line passes through the lower-right corner.

  Creates a new instance of the class based on a rectangle, starting and ending colors, and an orientation angle.

  A structure that specifies the bounds of the linear gradient.
  A structure that represents the starting color for the gradient.
  A structure that represents the ending color for the gradient.
  The angle, measured in degrees clockwise from the x-axis, of the gradient's orientation line.
  1.0.5000.0
  2.0.0.0
- Constructor

  All points along any line perpendicular to the orientation line are the same color.

  The starting line is perpendicular to the orientation line and passes through one of the corners of the rectangle. All points on the starting line are the starting color. Then ending line is perpendicular to the orientation line and passes through one of the corners of the rectangle. All points on the ending line are the ending color.

  The angle of the orientation line determines which corners the starting and ending lines pass through. For example, if the angle is between 0 and 90 degrees, the starting line passes through the upper-left corner, and the ending line passes through the lower-right corner.

  Creates a new instance of the class based on a rectangle, starting and ending colors, and an orientation angle.

  A structure that specifies the bounds of the linear gradient.
  A structure that represents the starting color for the gradient.
  A structure that represents the ending color for the gradient.
  The angle, measured in degrees clockwise from the x-axis, of the gradient's orientation line.
  Set to true to specify that the angle is affected by the transform associated with this ; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor

  All points along any line perpendicular to the orientation line are the same color.

  The starting line is perpendicular to the orientation line and passes through one of the corners of the rectangle. All points on the starting line are the starting color. Then ending line is perpendicular to the orientation line and passes through one of the corners of the rectangle. All points on the ending line are the ending color.

  The angle of the orientation line determines which corners the starting and ending lines pass through. For example, if the angle is between 0 and 90 degrees, the starting line passes through the upper-left corner, and the ending line passes through the lower-right corner.

  Creates a new instance of the class based on a rectangle, starting and ending colors, and an orientation angle.

  A structure that specifies the bounds of the linear gradient.
  A structure that represents the starting color for the gradient.
  A structure that represents the ending color for the gradient.
  The angle, measured in degrees clockwise from the x-axis, of the gradient's orientation line.
  Set to true to specify that the angle is affected by the transform associated with this ; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.Blend To be added: an object of type 'Blend'

  A contains corresponding arrays of blend factors and positions. The blend factors specify the percentages of the starting color and ending color to use at the corresponding position. The positions are given as a percentage of distance along the gradient line.

  Gets or sets a that specifies positions and factors that define a custom falloff for the gradient.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object To be added

  Creates an exact copy of this .

  The this method creates, cast as an object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value indicating whether gamma correction is enabled for this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.ColorBlend To be added: an object of type 'ColorBlend'

  A contains corresponding arrays of colors and positions. The positions are values from 0 through 1 that specify the percentage of the distance along the gradient line where the corresponding color is located.

  Setting this property creates a multicolor gradient with one color at each position along the gradient line. Setting this property nullifies all previous color, position, and falloff settings for this .

  Gets or sets a that defines a multicolor linear gradient.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Color[] To be added: an object of type 'Drawing.Color []' To be added

  Gets or sets the starting and ending colors of the gradient.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Multiplies the that represents the local geometric transform of this by the specified by prepending the specified .

  The by which to multiply the geometric transform. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Multiplies the that represents the local geometric transform of this by the specified in the specified order.

  The by which to multiply the geometric transform. A that specifies in which order to multiply the two matrices. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.RectangleF To be added: an object of type 'Drawing.RectangleF'

  The left side of the rectangle specifies the starting point of the linear gradient, and the right side of the rectangle specifies the endpoint.

  Gets a rectangular region that defines the starting and ending points of the gradient.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Resets the property to identity.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Rotates the local geometric transform by the specified amount. This method prepends the rotation to the transform.

  The angle of rotation. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Rotates the local geometric transform by the specified amount in the specified order.

  The angle of rotation. A that specifies whether to append or prepend the rotation matrix. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Scales the local geometric transform by the specified amounts. This method prepends the scaling matrix to the transform.

  The amount by which to scale the transform in the x-axis direction. The amount by which to scale the transform in the y-axis direction. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Scales the local geometric transform by the specified amounts in the specified order.

  The amount by which to scale the transform in the x-axis direction. The amount by which to scale the transform in the y-axis direction. A that specifies whether to append or prepend the scaling matrix. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method specifies a , which is the point where the gradient is composed only of the ending color. The parameter represents a location as a proportion of the distance along the gradient line. The gradient falls off to the starting color linearly to either side.

  Creates a linear gradient with a center color and a linear falloff to a single color on both ends.

  A value from 0 through 1 that specifies the center of the gradient (the point where the gradient is composed of only the ending color). 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method specifies a , which is the point where the gradient is composed only of the ending color. The parameter represents a location as a proportion of the distance along the gradient line. The gradient falls off to the starting color linearly to either side.

  Creates a linear gradient with a center color and a linear falloff to a single color on both ends.

  A value from 0 through 1 that specifies the center of the gradient (the point where the gradient is composed of only the ending color). A value from 0 through1 that specifies how fast the colors falloff from the starting color to (ending color) 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method specifies a , which is the point where the gradient is composed only of the ending color. The parameter represents a location as a proportion of the distance along the gradient line. The gradient falls off to the starting color based on a bell curve shape (normal distribution) to either side.

  Creates a gradient falloff based on a bell-shaped curve.

  A value from 0 through 1 that specifies the center of the gradient (the point where the starting color and ending color are blended equally). 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method specifies a , which is the point where the gradient is composed only of the ending color. The parameter represents a location as a proportion of the distance along the gradient line. The gradient falls off to the starting color based on a bell curve shape (normal distribution) to either side.

  Creates a gradient falloff based on a bell-shaped curve.

  A value from 0 through 1 that specifies the center of the gradient (the point where the gradient is composed of only the ending color). A value from 0 through 1 that specifies how fast the colors falloff from the . 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Drawing2D.Matrix To be added: an object of type 'Matrix'

  A geometric transform can be used to translate, scale, rotate, or skew the gradient fill. Because the matrix returned and by the property is a copy of the brush's geometric transform, you should dispose of the matrix when you no longer need it.

  Gets or sets a copy that defines a local geometric transform for this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added

  Translates the local geometric transform by the specified dimensions. This method prepends the translation to the transform.

  The value of the translation in x. The value of the translation in y. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Translates the local geometric transform by the specified dimensions in the specified order.

  The value of the translation in x. The value of the translation in y. The order (prepend or append) in which to apply the translation. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Drawing2D.WrapMode To be added: an object of type 'WrapMode' To be added

  Gets or sets a enumeration that indicates the wrap mode for this .

  1.0.5000.0
  2.0.0.0